InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::TOFConfiguration Struct Reference
Inheritance diagram for inertia::TOFConfiguration:
[legend]
Collaboration diagram for inertia::TOFConfiguration:
[legend]

## Public Member Functions
| TOFConfiguration (uint8_t const *in, const unsigned offset, const unsigned _length)
| TOFConfiguration (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out, const size_t bitfieldOffset) const override
const std::pair< unsigned, Channel > | GetChannel () const override
const std::wstring | ToString () const override
const std::wstring | ToSimpleString (uint16_t const globalRate) const
double | GetRangeFactor () const override
unsigned | GetResolution () const override
unsigned | GetMaxRate () const override

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()
Static Public Member Functions inherited from inertia::SpecificSensorSettings
static ValueType | GetType (Channel const &channel)
static ValueType | GetType (ConfigType const configType, unsigned const sensorID)
static std::vector< unsigned > | GetSensorIDs (ValueType const valueType)
static ConfigType | GetConfigType (ValueType const valueType)
static std::wstring | SensorIdToName (ConfigType const configType, unsigned const sensorID, unsigned const subID=0)

## Public Attributes
TOFConfigVersion | tofVersion
uint8_t | sensorCount
uint8_t | interlacingFactor
TOFZones | zones
Public Attributes inherited from inertia::SamplerConfig
uint8_t | instanceMask
uint8_t | samplingChannel
uint8_t | wordSize
bool | enableSampling
bool | enableTransmit
bool | enableLogging
bool | adoptMod
uint32_t | mod

## Additional Inherited Members
Protected Member Functions inherited from inertia::SamplerConfig
| SamplerConfig (uint8_t const *in)
| SamplerConfig (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const
const std::wstring | ToString () const
const std::wstring | ToSimpleString (uint16_t const globalRate) const
Static Protected Member Functions inherited from inertia::SamplerConfig
static const po::options_description | GetOptionDescription ()

## Member Function Documentation

## ◆ GetBytes()

void inertia::TOFConfiguration::GetBytes | ( | std::vector< uint8_t > & | out,
|  | const size_t | bitfieldOffset ) const
| override virtual

Implements inertia::SpecificSensorSettings.

## ◆ GetChannel()

const std::pair< unsigned, Channel > inertia::TOFConfiguration::GetChannel | ( |  | ) | const
| override virtual

Reimplemented from inertia::SamplerConfig.

## ◆ GetMaxRate()

unsigned inertia::TOFConfiguration::GetMaxRate | ( |  | ) | const
| override virtual

Implements inertia::SamplerConfig.

## ◆ GetRangeFactor()

double inertia::TOFConfiguration::GetRangeFactor | ( |  | ) | const
| override virtual

Implements inertia::SamplerConfig.

## ◆ GetResolution()

unsigned inertia::TOFConfiguration::GetResolution | ( |  | ) | const
| override virtual

Implements inertia::SamplerConfig.

## ◆ ToString()

const std::wstring inertia::TOFConfiguration::ToString | ( |  | ) | const
| override virtual

Implements inertia::SpecificSensorSettings.

The documentation for this struct was generated from the following file:

- TOFConfig.h